Skip to main content
PATCH
/
products
/
{productId}
cURL
curl --request PATCH \
  --url https://api.juo.io/admin/v1/products/{productId} \
  --header 'Content-Type: application/json' \
  --header 'X-Juo-Admin-Api-Key: <api-key>' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "vendor": "<string>",
  "productType": "<string>",
  "tags": [
    "<string>"
  ],
  "status": "active"
}
'
{
  "id": "<string>",
  "title": "<string>",
  "image": {
    "id": "<string>",
    "url": "<string>",
    "altText": "<string>"
  },
  "collections": [
    {
      "handle": "<string>"
    }
  ],
  "planGroups": [
    "<string>"
  ]
}

Authorizations

X-Juo-Admin-Api-Key
string
header
required

Headers

X-Tenant-ID
string

Unique identifier of the tenant in the system (usually a store identifier)

Path Parameters

productId
string
required

The product identifier

Minimum string length: 1

Body

application/json
title
string
Minimum string length: 1
description
string
vendor
string
productType
string
tags
string[]
status
Available options:
active

Response

200 - application/json

Default Response

id
string
required
Minimum string length: 1
title
string
required
Minimum string length: 1
image
object
required
collections
object[]
required
planGroups
string[]
required

Subscription plan group IDs associated with this product

Minimum string length: 1